| dfeccf Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeCcf Struct Reference
Overview

CCF Structure. More...

## Data Fields
XDfeCcf_Config | Config
| Config Structure. More...
XDfeCcf_StateId | StateId
| StateId. More...
s32 | NotUsedCCID
              Lowest CCID number not allocated, in
non-switchable mode, also for DL in switchable mode More...
s32 | NotUsedCCID_UL
                 Lowest CCID number not allocated for UL in
switchable mode More...
u32 | SequenceLength
| Exact sequence length. More...
char | NodeName [XDFECCF_NODE_NAME_MAX_LENGTH]
| Node name. More...
struct metal_io_region * | Io
| Libmetal IO structure. More...
struct metal_device * | Device
| Libmetal device structure. More...

## Detailed Description

CCF Structure.

## Field Documentation

XDfeCcf_Config XDfeCcf::Config

Config Structure.

Referenced by XDfeCcf_Activate(), XDfeCcf_Configure(), XDfeCcf_Deactivate(), XDfeCcf_GetCurrentCCCfgSwitchable(), XDfeCcf_Initialize(), XDfeCcf_SetNextCCCfgAndTriggerSwitchable(), and XDfeCcf_UpdateAntennaCfgSwitchable().

struct metal_device* XDfeCcf::Device

Libmetal device structure.

Referenced by XDfeCcf_InstanceClose(), and XDfeCcf_InstanceInit().

struct metal_io_region* XDfeCcf::Io

Libmetal IO structure.

char XDfeCcf::NodeName[XDFECCF_NODE_NAME_MAX_LENGTH]

Node name.

Referenced by XDfeCcf_InstanceClose(), and XDfeCcf_InstanceInit().

s32 XDfeCcf::NotUsedCCID

              Lowest CCID number not allocated, in

non-switchable mode, also for DL in switchable mode

Referenced by XDfeCcf_GetCurrentCCCfg(), XDfeCcf_GetCurrentCCCfgSwitchable(), XDfeCcf_Initialize(), XDfeCcf_SetNextCCCfgAndTrigger(), and XDfeCcf_SetNextCCCfgAndTriggerSwitchable().

s32 XDfeCcf::NotUsedCCID_UL

                 Lowest CCID number not allocated for UL in

switchable mode

Referenced by XDfeCcf_GetCurrentCCCfgSwitchable(), XDfeCcf_Initialize(), and XDfeCcf_SetNextCCCfgAndTriggerSwitchable().

u32 XDfeCcf::SequenceLength

Exact sequence length.

Referenced by XDfeCcf_GetActiveSets(), XDfeCcf_GetEmptyCCCfg(), XDfeCcf_GetTDataDelayFromCCCfg(), and XDfeCcf_Initialize().

XDfeCcf_StateId XDfeCcf::StateId

StateId.

Referenced by XDfeCcf_Activate(), XDfeCcf_AddCC(), XDfeCcf_Configure(), XDfeCcf_Deactivate(), XDfeCcf_GetActiveSets(), XDfeCcf_GetStateID(), XDfeCcf_GetTriggersCfg(), XDfeCcf_GetVersions(), XDfeCcf_Initialize(), XDfeCcf_InstanceClose(), XDfeCcf_InstanceInit(), XDfeCcf_RemoveCC(), XDfeCcf_Reset(), XDfeCcf_SetTriggersCfg(), XDfeCcf_SetTUserDelay(), XDfeCcf_UpdateAntenna(), and XDfeCcf_UpdateCC().